org.vishia.gral.awt

## Class AwtSubWindow.GralAwtWindowAdapter

- java.lang.Object
- - org.vishia.gral.awt.AwtSubWindow.GralAwtWindowAdapter

- All Implemented Interfaces:
    java.awt.event.WindowFocusListener, java.awt.event.WindowListener, java.awt.event.WindowStateListener, java.util.EventListener
  Enclosing class:
    AwtSubWindow

      public class AwtSubWindow.GralAwtWindowAdapter
      extends java.lang.Object
      implements java.awt.event.WindowListener, java.awt.event.WindowStateListener, java.awt.event.WindowFocusListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GralAwtWindowAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `windowActivated(java.awt.event.WindowEvent e)`
    `void` | `windowClosed(java.awt.event.WindowEvent e)`
    `void` | `windowClosing(java.awt.event.WindowEvent event)`
    `void` | `windowDeactivated(java.awt.event.WindowEvent e)`
    `void` | `windowDeiconified(java.awt.event.WindowEvent e)`
    `void` | `windowGainedFocus(java.awt.event.WindowEvent e)`
    `void` | `windowIconified(java.awt.event.WindowEvent e)`
    `void` | `windowLostFocus(java.awt.event.WindowEvent e)`
    `void` | `windowOpened(java.awt.event.WindowEvent e)`
    `void` | `windowStateChanged(java.awt.event.WindowEvent e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GralAwtWindowAdapter

          public GralAwtWindowAdapter()

  - ### Method Detail

    - #### windowGainedFocus

          public void windowGainedFocus(java.awt.event.WindowEvent e)

      Specified by:
        `windowGainedFocus` in interface `java.awt.event.WindowFocusListener`

    - #### windowLostFocus

          public void windowLostFocus(java.awt.event.WindowEvent e)

      Specified by:
        `windowLostFocus` in interface `java.awt.event.WindowFocusListener`

    - #### windowStateChanged

          public void windowStateChanged(java.awt.event.WindowEvent e)

      Specified by:
        `windowStateChanged` in interface `java.awt.event.WindowStateListener`

    - #### windowOpened

          public void windowOpened(java.awt.event.WindowEvent e)

      Specified by:
        `windowOpened` in interface `java.awt.event.WindowListener`

    - #### windowClosing

          public void windowClosing(java.awt.event.WindowEvent event)

      Specified by:
        `windowClosing` in interface `java.awt.event.WindowListener`

    - #### windowClosed

          public void windowClosed(java.awt.event.WindowEvent e)

      Specified by:
        `windowClosed` in interface `java.awt.event.WindowListener`

    - #### windowIconified

          public void windowIconified(java.awt.event.WindowEvent e)

      Specified by:
        `windowIconified` in interface `java.awt.event.WindowListener`

    - #### windowDeiconified

          public void windowDeiconified(java.awt.event.WindowEvent e)

      Specified by:
        `windowDeiconified` in interface `java.awt.event.WindowListener`

    - #### windowActivated

          public void windowActivated(java.awt.event.WindowEvent e)

      Specified by:
        `windowActivated` in interface `java.awt.event.WindowListener`

    - #### windowDeactivated

          public void windowDeactivated(java.awt.event.WindowEvent e)

      Specified by:
        `windowDeactivated` in interface `java.awt.event.WindowListener`